summaryrefslogtreecommitdiff
path: root/tests/rm/r-3
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-04-20 14:49:46 +0000
committerJim Meyering <jim@meyering.net>2002-04-20 14:49:46 +0000
commitc175e3f6c86206b676658c181556fc9b15f25f88 (patch)
tree45cb44e1b2b772d4253ca1c0d879281249625757 /tests/rm/r-3
parent73f2d110077745a8f4c297c26e3c8310f2251780 (diff)
downloadcoreutils-c175e3f6c86206b676658c181556fc9b15f25f88.tar.xz
update framework
Diffstat (limited to 'tests/rm/r-3')
-rwxr-xr-xtests/rm/r-36
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/rm/r-3 b/tests/rm/r-3
index 1a5c07313..7f6c3293e 100755
--- a/tests/rm/r-3
+++ b/tests/rm/r-3
@@ -9,12 +9,12 @@ if test "$VERBOSE" = yes; then
fi
pwd=`pwd`
-tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_fail=0
-mkdir $tmp || framework_fail=1
+mkdir -p $tmp || framework_fail=1
cd $tmp || framework_fail=1
# Create 300 files (12 * 25).